summaryrefslogtreecommitdiff
path: root/tests/count-newline
diff options
context:
space:
mode:
Diffstat (limited to 'tests/count-newline')
-rwxr-xr-xtests/count-newline28
1 files changed, 28 insertions, 0 deletions
diff --git a/tests/count-newline b/tests/count-newline
new file mode 100755
index 0000000..b37b8ec
--- /dev/null
+++ b/tests/count-newline
@@ -0,0 +1,28 @@
+#!/bin/sh
+# Test that newline is counted correctly even when the transition
+# table is rebuilt.
+
+# Copyright 2014-2016 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+printf '%1024d\nb\n' 0 >in || framework_failure_
+
+grep -f in in >out || fail=1
+
+compare in out || fail=1
+
+Exit $fail